clear all

% Funzione per fare dei plot con un qualche opzione "estetica"
function my_plot(f, a, b)
	xp = linspace(a, b, 200);
	yp = f(xp);
	plot(xp, yp, '-', 'linewidth', 2, 'color', [0, 0, 0])
	xlim([a, b])
	grid()
end

% Funzione per fare degli scatter plot, con qualche opzione "estetica"
function my_scatter(x, y, a, b)
	scatter(x, y, 8, 'r', 'o', 'filled')
	xlim([a, b])
	grid()
end

% Estremi dell'intervallo di integrazione
a = 0;
b = 10;

function z = f(x)
	z = x ./ (1 + abs(sin(x)));
end

my_plot(@f, a, b)

q = quad(@f, a, b)
q = quadv(@f, a, b)
q = quadcc(@f, a, b)


x = linspace(a, b, 400);
y = f(x);

function q = nc_trap(a, b, fa, fb)
	q = 0.5 .* (b-a) .* (fa + fb);
end

q = 0;
for ii = 1:length(x)-1
	q = q + nc_trap(x(ii), x(ii+1), y(ii), y(ii+1));
end
q

